<template>
  <div  class="warning-message" v-if="callText">
    <div class="close-modal-message" @click="closeWarningWindow"></div>
    {{callText}}
    <a style="cursor: pointer" v-if="showChatToggle" @click="toggleChat" class="online-help">Помощь онлайн</a>
  </div>
</template>

<script>
  import ToggleChat from '@/mixins/Chat/ToggleChat'
  export default {
    name: 'Warning-Message',
    mixins: [
      ToggleChat
    ],
    methods: {
      closeWarningWindow () {
        this.$interface.messageWarningWindows.text = ''
      }
    },
    computed: {
      callText () {
        return this.$interface.messageWarningWindows.text
      },
      showChatToggle () {
        for (const key in this.$store.state.errorMessagesWithChatHelp) {
          if (this.$store.state.errorMessagesWithChatHelp[key] === this.$interface.messageWarningWindows.text) {
            return true
          }
        }
        return false
      }
    }
  }
</script>

<style scoped lang="scss">
  .warning-message {
    position: relative;
    border-radius: 5px;
    padding: 25px;
    color: #ff6d4a;
    background: #fff0ed;
    margin-bottom: 25px;
    text-align: center;
  }

  .close-modal-message {
    background: url(/static/img/icons/close-red.png);
    display: inline-block;
    position: absolute;
    background-repeat: no-repeat;
    background-position: 50% -85px;
    width: 29px;
    height: 29px;
    right: 10px;
    top: 10px;
    cursor: pointer;
    z-index: 1;
  }

  .online-help {
    color: red;
    text-decoration: underline;
  }
</style>
